Hue Support Matrix

This matrix shows the interoperability between Hue and other ecosystem products.

This page shows the versions of Hue that work other ecosystem components and it applies to MapR versions 5.1 and below. For more recent versions of MapR, see the MEP Components and OS Support.
  Hue 2.5 Beta only Hue 3.5 Hue 3.6 Hue 3.7 Hue 3.8.1 Hue 3.8.1 Hue 3.9.0
OS CentOS2 and Ubuntu CentOS2 and Ubuntu CentOS2 and Ubuntu CentOS2 and Ubuntu CentOS2 and Ubuntu CentOS2 and Ubuntu CentOS2 and Ubuntu
MapR Distribution 3.0.2, 3.1.0 3.0.3, 3.1.1 3.1.1, 4.0.x 3.1.1, 4.0.x, 4.1, 5.0 4.1 5.1.0, 5.0.0 5.1.0, 5.0.0
Hive 0.12 0.13 0.12, 0.13 0.12, 0.13, 1.0 0.13, 1.0 0.13, 1.06, 1.2.1 0.13, 1.06, 1.2.1
Impala N/A N/A 1.4.1 (Hive 0.13 only) 1.4.1 (Hive 0.13 only) 1.4.1 (Hive 0.13 only) 1.4.1 (Hive 0.13 only) 1.4.1 (Hive 0.13 only), 2.2.0 (Hive 1.2.1 only)
httpfs 1 1 1 1 1 1 1
Oozie 3.3.2 4.0.0 4.0.1 4.0.1, 4.1.0 4.1.0 4.1.0, 4.2.0 4.1.0, 4.2.0
Pig 11 12 12 123 123 123 123
HBase No 0.94.17, 0.94.21, 0.98.7 0.94.17, 0.94.21, 0.98.7 0.94.x1, 0.98.7, 0.98.9, 0.98.12 0.98.x 0.98.x 0.98.x, 1.1
MapR Database No Yes Yes Yes Yes Yes Yes
Sentry N/A N/A No No No No 1.6
Solr N/A No No No No No No
Spark5 N/A N/A N/A N/A 1.3.1 1.3.1 1.3.1, 1.4.1,1.5.2, 1.6.1
Sqoop2 No No 1.99.3 1.99.3 N/A4 1.99.6 1.99.6

1 Loading examples with HBase 94.x do not work (because of the difference in Thrift version between HBase 94 and Hue).

2 Not supported on CentOS 5.x.

3 Pig jobs in Hue are run through Oozie. Oozie 4.0.1 and 4.1.0 bundle Pig 0.12 by default.

4 On MapR 4.1, Hue 3.8.1 does not work with Sqoop2. To use Sqoop2 and Hue on MapR 4.1, consider using Hue 3.7.

5 The Spark Notebook UI in Hue is a Beta feature.

6Hue 3.8/3.9 and Hive 1.0 require MapR 5.0.0. (This combination is not supported on MapR 5.1.0.)

Change Control Notes

  • This matrix was last updated on February 29, 2016 (MapR 5.1 updates).
  • This matrix was last updated on September 25, 2015 (Hue 3.8.1).
  • This matrix was updated on August 4, 2015 (Hue 3.8.1).